import { Balance, EthParams, ETHInstance, LastBalances, SolidityTypeValue } from "./interfaces/IEth";
import { ABIDefinition } from "dc-configs";
import { Account as Web3Account } from "web3/eth/accounts";
import Contract from "web3/eth/contract";
export declare class Eth implements ETHInstance {
    private _web3;
    private _cache;
    private _sign;
    private _recover;
    private _ERC20Contract;
    private _account;
    private _params;
    constructor(params: EthParams);
    getAccount(): Web3Account;
    initContract(abi: ABIDefinition[], address: string): Contract;
    initAccount(privateKey: string): void;
    /**
     *
     * @param privateKey
     * @param walletPassword use only in browser
     */
    saveWallet(privateKey: string, walletPassword?: string): void;
    loadWallet(walletPassword: string): void;
    getWalletAccount(): any;
    signData(argsToSign: SolidityTypeValue[]): string;
    signHash(hash: string): string;
    recover(hash: string, peerSign: string): string;
    getBlockNumber(): Promise<any>;
    allowance(spender: string, address?: string): Promise<any>;
    sendTransaction(contract: Contract, methodName: string, args: any[]): Promise<any>;
    ERC20ApproveSafe(spender: string, amount: number, minAmount?: number): Promise<number>;
    getBalances(address?: string): Promise<LastBalances>;
    getEthBalance(address: string): Promise<Balance>;
    getBetBalance(address: string): Promise<Balance>;
}
