"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const dc_configs_1 = require("dc-configs");
const dc_logging_1 = require("dc-logging");
const Eth_1 = require("../Eth");
const Utils = __importStar(require("../utils"));
const log = new dc_logging_1.Logger("generateRND:Test:");
const { gasPrice: price, gasLimit: limit, web3HttpProviderUrl: httpProviderUrl, contracts, walletName, privateKey } = dc_configs_1.config.default;
const generateRNDTEST = async (rangeStart, rangeEnd) => {
    const eth = new Eth_1.Eth({
        walletName,
        httpProviderUrl,
        ERC20ContractInfo: contracts.ERC20,
        gasParams: { price, limit }
    });
    eth.initAccount(privateKey);
    const seed = Utils.makeSeed();
    const hash = eth.signData([{ t: "bytes32", v: seed }]);
    const rnd = eth.generateRnd([
        [rangeStart, rangeEnd],
        [rangeStart * 2, rangeEnd * 3],
        [rangeStart, rangeEnd * 5]
    ], hash);
    log.debug(rnd);
};
for (let i = 0; i < 10; i++) {
    generateRNDTEST(i, i * 2);
}
//# sourceMappingURL=generateRND.js.map