"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Eth_1 = require("../Eth");
const dc_configs_1 = require("dc-configs");
const dc_logging_1 = require("dc-logging");
const logger = new dc_logging_1.Logger("eth test");
const { gasPrice: price, gasLimit: limit, web3HttpProviderUrl: httpProviderUrl, contracts, walletName, privateKey } = dc_configs_1.config.default;
const test1 = async () => {
    const eth = new Eth_1.Eth({
        walletName,
        httpProviderUrl,
        ERC20ContractInfo: contracts.ERC20,
        gasParams: { price, limit }
    });
    const balance = await eth.getBetBalance("0xcfe806e85787c1490e85c8028efda159616371c1");
    logger.debug(balance);
};
test1();
//# sourceMappingURL=testGetBalance.js.map